{
  "name": "{{ agave.appsPrefix }}-canu-gf",
  "version": "1.9-01",
  "label": "Canu assembly for nanopore amplicon sequencing",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/canu-gf-1.9-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "canu-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "genomeSize",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "minReadLength",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "minOverlapLength",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "corMinCoverage",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "readSamplingCoverage",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "correctedErrorRate",
      "value": {
        "required": true,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}